<?php

include_once (NBC_ThemeChanger_PATH.'include/functions_ThemeChanger.inc.php');

global $user, $conf, $template;

$__BEBUG = 0;

// Check Access and exit when user status is not ok
check_status(ACCESS_ADMINISTRATOR);

$me = get_plugin_data($plugin_id);
load_language('plugin.lang', NBC_ThemeChanger_PATH);
$page_ThemeChanger_admin = 'admin.php?page=plugin-'.basename(NBC_ThemeChanger_PATH); 

$my_base_url = $page_ThemeChanger_admin;

//chargement des catégories
$categories = my_get_pwg_categories();
		

//chargement des thèmes
$themes = my_get_pwg_themes();
  if ($__BEBUG)
  {
  echo '0 '.$themes[0]['id'] .':'. $themes[0]['name'] .'<br>';
  echo '0 '.$themes[1]['id'] .':'. $themes[1]['name'] .'<br>';
  echo '0 '.$themes[2]['id'] .':'. $themes[2]['name'] .'<br>';
   }

// Configuration du template
$template->assign('params',
array(
    'U_HOME' => make_index_url(),
	'F_ACTION' => add_url_params($page_ThemeChanger_admin, array()),
    //'U_ADD_ASSOC' => add_url_params($page_ThemeChanger_admin, array('tab' => 'add_assoc')),
	'Themes' => $themes,
	'Categories' => $categories,
	'page_banner' => $conf['page_banner'],
	'gallery_title' => $conf['gallery_title']
));

// Configuration du formulaire
$template->assign('formulaire',array(
    'DESCRIPION' => $lang['add_assoc'],
  ));
  
//Recupération options du plugin
$conf_nbc_ThemeChanger = isset($conf['nbc_ThemeChanger']) ? explode(";" , $conf['nbc_ThemeChanger']) : array();
  
  
// Mise a jour des paramètres du plugin
if (isset($_POST['submit']) and !is_adviser())
	if ( isset($_POST['categorychoise']) and isset($_POST['template']))
	{	
		
		$listcategory = array();
		$newconf_nbc_ThemeChanger = '';
		$add_ok = false;
		//recupération des variables
		$theme = $_POST['template'];
		$applysubcategory = isset($_POST['ApplySubCategories']) ? $_POST['ApplySubCategories'] : '';
		$thecategory = isset($_POST['categorychoise']) ? $_POST['categorychoise'] : '';

		$_POST['categorychoise'] = '';
		$_POST['template'] = '';
		$_GET['tab'] = '';
		$_POST['ApplySubCategories'] = '';

		if ($applysubcategory <> '') {
			foreach ($categories as $icat) {
				$tmp = explode("," , $icat['uppercats']);
				if (in_array ($thecategory, $tmp))
					array_push($listcategory ,$icat['id']);
			}
		}
		else
			array_push($listcategory ,$thecategory);

		foreach ($conf_nbc_ThemeChanger as $Theme_Cat)
		{
			$add_ok = false;
			$element_ThemeChanger = explode("," , $Theme_Cat);
			$i = 0;
			foreach ($listcategory as $thecategory)
			{
				if ($element_ThemeChanger[0] == $thecategory) //MAJ de la nouvelle category déjà présente dans la liste
				{
					//echo ' MAJ: '.$element_ThemeChanger[0];
					if ($newconf_nbc_ThemeChanger <> '')
						$newconf_nbc_ThemeChanger .= ';';
					$newconf_nbc_ThemeChanger .= $thecategory.','.$theme;
					$listcategory[$i] = -1;
					$add_ok = true;
					break;
				}
				$i += 1;
			}
			if ($add_ok == false){
				//récupération des catégories qui n'ont pas été modifié.
				if ($element_ThemeChanger[0] <> '') {
					if ($newconf_nbc_ThemeChanger <> '')
						$newconf_nbc_ThemeChanger .= ';';
					//echo ' Recup : '.$element_ThemeChanger[0];
					if ($element_ThemeChanger[1])
					$newconf_nbc_ThemeChanger .= $element_ThemeChanger[0].','.$element_ThemeChanger[1];
				}
			}
		}
		//insertion des nouvelles catégories
		foreach ($listcategory as $thecategory) {
			if ($newconf_nbc_ThemeChanger <> '')
				$newconf_nbc_ThemeChanger .= ';';
			//echo ' Nouveau: '.$thecategory;
			if ($thecategory <> -1)
				$newconf_nbc_ThemeChanger .= $thecategory.','.$theme;
		}

		$conf['nbc_ThemeChanger'] = $newconf_nbc_ThemeChanger;

		$query = '
		  UPDATE '.CONFIG_TABLE.'
		  SET value="'.$newconf_nbc_ThemeChanger.'"
		  WHERE param="nbc_ThemeChanger"
		  LIMIT 1';
		pwg_query($query);

		array_push($page['infos'], l10n('nbc_ThemeChanger_save_config'));
	}

//DEBUG _GET	
else if ($__BEBUG)
{
	echo count($_GET).'<br/>';
	foreach ($_GET as $key => $value) {
		if ($key != "C") {
			$querystring = $key."=".$value;
			echo $querystring .'<br/>';
		}
	}
}


//delete an association
if ( isset($_GET['tab']) and ($_GET['tab']=='del_assoc') and isset($_GET['cat']) and is_numeric($_GET['cat']) and !is_adviser() )
{

	$newconf_nbc_ThemeChanger = '';

  foreach ($conf_nbc_ThemeChanger as $Theme_Cat)
  {
    $element_ThemeChanger = explode("," , $Theme_Cat);

    if ($element_ThemeChanger[0] <> $_GET['cat'] and $element_ThemeChanger[0] <> '')
    {
      if ($newconf_nbc_ThemeChanger <> '')
        $newconf_nbc_ThemeChanger .= ';';

      $newconf_nbc_ThemeChanger .= $element_ThemeChanger[0].','.$element_ThemeChanger[1];
    }
  }

  $conf['nbc_ThemeChanger'] = $newconf_nbc_ThemeChanger;

  $query = '
    UPDATE '.CONFIG_TABLE.'
    SET value="'.$newconf_nbc_ThemeChanger.'"
    WHERE param="nbc_ThemeChanger"
    LIMIT 1';
  pwg_query($query);

  array_push($page['infos'], l10n('nbc_ThemeChanger_save_config'));
}
 
//modify an association
else if ( isset($_GET['tab']) and ($_GET['tab']=='mod_assoc') and isset($_GET['cat']) and is_numeric($_GET['cat']) and isset($_GET['theme']) )
{
  $template->assign('formulaire',array(
	'DESCRIPION' => $lang['modify_assoc'].' : '.get_long_categorie_name($_GET['cat']),
	'THEMETOMODIFY' => $_GET['theme'],
	'NAMETOMODIFY' => get_long_categorie_name($_GET['cat']),
    'IDTOMODIFY' => $_GET['cat'],
  ));
}

//add an association
else if ( isset($_GET['tab']) and ($_GET['tab']=='add_assoc') )
{
	$template->assign('formulaire',	array(
		'DESCRIPION' => $lang['add_assoc'],
	));
}


//needed to relaod the good configuration after delete
$conf_nbc_ThemeChanger = isset($conf['nbc_ThemeChanger']) ? explode(";" , $conf['nbc_ThemeChanger']) : array();

//$num = 0;
$catsused = array();
$assoc = array();

//reconstruction du tableau d'association.
foreach ($conf_nbc_ThemeChanger as $Theme_Cat)
{
  $element_ThemeChanger = explode("," , $Theme_Cat);

  if ($element_ThemeChanger[0] <> '' and $element_ThemeChanger[1] <> '')
  {
    array_push($catsused, $element_ThemeChanger[0]);

    $query = '
      SELECT uppercats
        FROM '.CATEGORIES_TABLE.'
        WHERE id = \''.$element_ThemeChanger[0].'\'
      ;';

    $result = pwg_query($query);
    $row = mysql_fetch_array($result);

     array_push($assoc , array(
        'CATEGORY_NAME'	=> get_cat_display_name_cache($row['uppercats'], null, false),
        'TEMPLATE'		=> $element_ThemeChanger[1],
		'STATUS'		=> my_get_pwg_theme_status($element_ThemeChanger[1]),
		'U_MODIFY'      => add_url_params($page_ThemeChanger_admin.'-mod_assoc', array(
			'cat'		=> $element_ThemeChanger[0],
			'theme'		=> $element_ThemeChanger[1],
			)),
        'U_DELETE'		=> add_url_params($page_ThemeChanger_admin.'-del_assoc', array(
			'cat'		=> $element_ThemeChanger[0],
		)),
	));
  }
}
$template->assign('assoc',$assoc );


//  template initialization
$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/nbc_ThemeChanger_admin.tpl'));
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');

?>